> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cariqa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Users

> Retrieve list of the users



## OpenAPI

````yaml /openapi.yaml get /api/v1/users/
openapi: 3.0.3
info:
  title: Cariqa Connect API
  version: 1.0.0 (v1)
  description: OPENAPI schema of the Cariqa Connect API
servers:
  - url: https://connect.cariqa.com
    description: Connect
  - url: https://dev.connect.cariqa.com
    description: Connect Playground
security: []
paths:
  /api/v1/users/:
    get:
      tags:
        - Users
      summary: List Users
      description: Retrieve list of the users
      operationId: users_list
      parameters:
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - name: search
          required: false
          in: query
          description: 'Search user by: id, external_id'
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedConnectAPIUserList'
          description: ''
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Detail'
          description: ''
      security:
        - BearerAuth: []
components:
  schemas:
    PaginatedConnectAPIUserList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/ConnectAPIUser'
    Detail:
      type: object
      description: 400 status error message response serializer.
      properties:
        detail:
          type: string
      required:
        - detail
    ConnectAPIUser:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        email:
          type: string
          format: email
          nullable: true
        locale:
          $ref: '#/components/schemas/LocaleEnum'
        custom_properties:
          allOf:
            - $ref: '#/components/schemas/ConnectAPIUserCustomProperties'
          nullable: true
      required:
        - id
    LocaleEnum:
      enum:
        - en
        - de
      type: string
      description: |-
        * `en` - EN
        * `de` - DE
    ConnectAPIUserCustomProperties:
      type: object
      properties:
        external_id:
          type: string
          nullable: true
          description: External id of the user provided by Connect backend
          maxLength: 250
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.

````